Bug 759779 - Review Request: rachota - Straightforward timetracking
Review Request: rachota - Straightforward timetracking
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: MERCIER Jonathan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-03 13:52 EST by Sébastien Willmann
Modified: 2012-01-27 22:31 EST (History)
6 users (show)

See Also:
Fixed In Version: rachota-2.3-3.20120110cvs.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-27 22:24:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bioinfornatics: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sébastien Willmann 2011-12-03 13:52:17 EST
Spec URL: http://wilqu.fr/rpms/rachota/rachota.spec
SRPM URL: http://wilqu.fr/rpms/rachota/rachota-2.4-1.fc15.src.rpm
Description: Rachota is a portable application for timetracking different projects. It runs
everywhere. It displays time data in diagram form, creates customized reports
and invoices or analyses measured data and suggests hints to improve user's
time usage. The totally portable yet personal timetracker.

Rpmlint output:
% rpmlint rachota-*
rachota.noarch: I: enchant-dictionary-not-found en_US
rachota.noarch: W: no-documentation
rachota.src: W: invalid-url Source0: rachota.tar.gz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Alexander Kurtakov 2011-12-05 02:59:06 EST
Sebastien, are you sponsored?
Comment 2 Sébastien Willmann 2011-12-05 17:21:03 EST
Yes, I already own a package. I have also another review request in progress. My FAS user name is wilqu.
Comment 3 Sébastien Willmann 2011-12-08 14:48:01 EST
The program crashes sometimes on startup. I'm trying to fix this.
Comment 4 Jiri Kovalsky 2011-12-19 05:34:52 EST
The problem was fixed in trunk and release23 branch. Is there any other problem to bundle Rachota Timetracker into Fedora distribution?
Comment 5 Sébastien Willmann 2012-01-03 16:21:02 EST
Rachota 2.4 still suffers from crashes on startup, and is not yet officially released, so a started a new spec file with the 2.3 version.

SPEC: http://wilqu.fr/rpms/rachota/rachota.spec
SRPM: http://wilqu.fr/rpms/rachota/rachota-2.3-1.20111231cvs.fc16.src.rpm

This version starts without any problem, so the package is now ready for review.
Comment 6 MERCIER Jonathan 2012-01-08 05:11:15 EST
Dear,
like you use cvs for take sources files, you should read this https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

In last you can use install command instead cp
Comment 7 Sébastien Willmann 2012-01-08 13:04:57 EST
Update taking your remarks into account:

http://wilqu.fr/rpms/rachota/rachota.spec
http://wilqu.fr/rpms/rachota/rachota-2.3-2.20111231cvs.fc16.src.rpm
Comment 8 Sébastien Willmann 2012-01-09 16:02:34 EST
The patch has been integrated upstream, so I removed it from the package.

http://wilqu.fr/rpms/rachota/rachota.spec
http://wilqu.fr/rpms/rachota/rachota-2.3-3.20120110cvs.fc16.src.rpm
Comment 9 MERCIER Jonathan 2012-01-12 15:20:54 EST
I have run rpmlint and at this time all it is ok for me.

---------------------- RPMLINT ----------------------
$ rpmlint rachota-2.3-3.20120110cvs.fc16.src.rpm 
rachota.src: W: spelling-error Summary(en_US) timetracking -> time tracking, time-tracking, sidetracking
rachota.src: W: spelling-error %description -l en_US timetracking -> time tracking, time-tracking, sidetracking
rachota.src: W: spelling-error %description -l en_US timetracker -> time tracker, time-tracker, racetrack
rachota.src: W: invalid-url Source0: rachota.tar.gz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint ../SPECS/rachota.spec 
../SPECS/rachota.spec: W: invalid-url Source0: rachota.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ../RPMS/noarch/rachota-*
rachota.noarch: W: spelling-error Summary(en_US) timetracking -> time tracking, time-tracking, sidetracking
rachota.noarch: W: spelling-error %description -l en_US timetracking -> time tracking, time-tracking, sidetracking
rachota.noarch: W: spelling-error %description -l en_US timetracker -> time tracker, time-tracker, racetrack
rachota.noarch: W: no-documentation
rachota.noarch: W: no-manual-page-for-binary rachota
rachota-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
Comment 10 MERCIER Jonathan 2012-01-16 09:09:11 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[-]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint rachota-2.3-3.20120110cvs.fc17.noarch.rpm

rachota.noarch: W: spelling-error Summary(en_US) timetracking -> time tracking, time-tracking, sidetracking
rachota.noarch: W: spelling-error %description -l en_US timetracking -> time tracking, time-tracking, sidetracking
rachota.noarch: W: spelling-error %description -l en_US timetracker -> time tracker, time-tracker, racetrack
rachota.noarch: W: no-documentation
rachota.noarch: W: no-manual-page-for-binary rachota
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


rpmlint rachota-2.3-3.20120110cvs.fc17.src.rpm

rachota.src: W: spelling-error Summary(en_US) timetracking -> time tracking, time-tracking, sidetracking
rachota.src: W: spelling-error %description -l en_US timetracking -> time tracking, time-tracking, sidetracking
rachota.src: W: spelling-error %description -l en_US timetracker -> time tracker, time-tracker, racetrack
rachota.src: W: invalid-url Source0: rachota.tar.gz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint rachota-javadoc-2.3-3.20120110cvs.fc17.noarch.rpm

rachota-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Old add_to_maven_depmap macro is not being used
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint rachota-2.3-3.20120110cvs.fc17.noarch.rpm

rachota.noarch: W: spelling-error Summary(en_US) timetracking -> time tracking, time-tracking, sidetracking
rachota.noarch: W: spelling-error %description -l en_US timetracking -> time tracking, time-tracking, sidetracking
rachota.noarch: W: spelling-error %description -l en_US timetracker -> time tracker, time-tracker, racetrack
rachota.noarch: W: no-documentation
rachota.noarch: W: no-manual-page-for-binary rachota
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


rpmlint rachota-2.3-3.20120110cvs.fc17.src.rpm

rachota.src: W: spelling-error Summary(en_US) timetracking -> time tracking, time-tracking, sidetracking
rachota.src: W: spelling-error %description -l en_US timetracking -> time tracking, time-tracking, sidetracking
rachota.src: W: spelling-error %description -l en_US timetracker -> time tracker, time-tracker, racetrack
rachota.src: W: invalid-url Source0: rachota.tar.gz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint rachota-javadoc-2.3-3.20120110cvs.fc17.noarch.rpm

rachota-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


End Package Review
==============


------------------
PACKAGE APPROVED
-------------------
Comment 11 Sébastien Willmann 2012-01-16 10:13:58 EST
New Package SCM Request
=======================
Package Name: rachota
Short Description: Straightforward timetracking
Owners: wilqu
Branches: f15 f16
InitialCC: java-sig
Comment 12 Jon Ciesla 2012-01-16 11:59:28 EST
Git done (by process-git-requests).

Jonathan, please take ownership of review BZs.  Thanks!
Comment 13 Fedora Update System 2012-01-17 15:09:48 EST
rachota-2.3-3.20120110cvs.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rachota-2.3-3.20120110cvs.fc16
Comment 14 Fedora Update System 2012-01-17 15:19:40 EST
rachota-2.3-3.20120110cvs.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rachota-2.3-3.20120110cvs.fc15
Comment 15 Fedora Update System 2012-01-18 20:34:32 EST
rachota-2.3-3.20120110cvs.fc15 has been pushed to the Fedora 15 testing repository.
Comment 16 Fedora Update System 2012-01-27 22:24:25 EST
rachota-2.3-3.20120110cvs.fc15 has been pushed to the Fedora 15 stable repository.
Comment 17 Fedora Update System 2012-01-27 22:31:15 EST
rachota-2.3-3.20120110cvs.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.